For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETRetrieve Resource Teams
      • POSTCreate Resource Team
      • PUTUpdate Resource Team
      • DELDelete Resource Team
LogoLogo
SupportContact salesStart free trial
API ReferenceResource Team

Update Resource Team

PUT
https://api.projectmanager.com/api/data/resources/teams/:resourceTeamId
PUT
/api/data/resources/teams/:resourceTeamId
$curl -X PUT https://api.projectmanager.com/api/data/resources/teams/resourceTeamId \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "string"
>}'
200Updated
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": {
14 "id": "string",
15 "name": "string"
16 }
17}
Update a Resource Team.
Was this page helpful?
Previous

Delete Resource Team

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

resourceTeamIdstringRequiredformat: "uuid"
The id of the resource team

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Request

The name of the team to Update.
namestringRequired>=1 character
The name of this Resource Team.

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
dataobject
A ResourceTeam is a group of Resources that can be referred to as a group. You can use a ResourceTeam as a shortcut to quickly assign or allocate multiple Resources quickly.